commit:     9a10562e6cd2b4e6dce8c640f5c8b050967d83ab
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 20 09:39:43 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Feb 20 09:39:43 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9a10562e

dev-python/pandas: Deselect tests for x86

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pandas/pandas-2.2.0-r1.ebuild | 10 ++++++++++
 dev-python/pandas/pandas-2.2.0.ebuild    | 10 ++++++++++
 2 files changed, 20 insertions(+)

diff --git a/dev-python/pandas/pandas-2.2.0-r1.ebuild 
b/dev-python/pandas/pandas-2.2.0-r1.ebuild
index aeac22a497e1..87fff0e12933 100644
--- a/dev-python/pandas/pandas-2.2.0-r1.ebuild
+++ b/dev-python/pandas/pandas-2.2.0-r1.ebuild
@@ -173,8 +173,18 @@ python_test() {
                # requires -Werror
                
tests/tslibs/test_to_offset.py::test_to_offset_lowercase_frequency_deprecated
                
tests/tslibs/test_to_offset.py::test_to_offset_uppercase_frequency_deprecated
+
+               # assumes that it will fail due to -mfpmath=387 on 32-bit 
arches,
+               # so it XPASS-es in every other scenario
+               
tests/tools/test_to_timedelta.py::TestTimedeltas::test_to_timedelta_float
        )
 
+       if ! has_version "dev-python/scipy[${PYTHON_USEDEP}]"; then
+               EPYTEST_DESELECT+=(
+                       tests/plotting/test_misc.py::test_savefig
+               )
+       fi
+
        local -x LC_ALL=C.UTF-8
        cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
        "${EPYTHON}" -c "import pandas; pandas.show_versions()" || die

diff --git a/dev-python/pandas/pandas-2.2.0.ebuild 
b/dev-python/pandas/pandas-2.2.0.ebuild
index cd8aaac786dc..1eaad53918a9 100644
--- a/dev-python/pandas/pandas-2.2.0.ebuild
+++ b/dev-python/pandas/pandas-2.2.0.ebuild
@@ -176,8 +176,18 @@ python_test() {
                # requires pyarrow (which is really broken)
                
tests/io/formats/style/test_bar.py::test_style_bar_with_pyarrow_NA_values
                
tests/series/test_api.py::TestSeriesMisc::test_inspect_getmembers
+
+               # assumes that it will fail due to -mfpmath=387 on 32-bit 
arches,
+               # so it XPASS-es in every other scenario
+               
tests/tools/test_to_timedelta.py::TestTimedeltas::test_to_timedelta_float
        )
 
+       if ! has_version "dev-python/scipy[${PYTHON_USEDEP}]"; then
+               EPYTEST_DESELECT+=(
+                       tests/plotting/test_misc.py::test_savefig
+               )
+       fi
+
        local -x LC_ALL=C.UTF-8
        cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
        "${EPYTHON}" -c "import pandas; pandas.show_versions()" || die

Reply via email to